summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2014-04-09 21:15:38 +0000
committerMichał Górny <mgorny@gentoo.org>2014-04-09 21:15:38 +0000
commit9d9d8567cfd77bd9efe5309474703a0858dcb705 (patch)
treed012fed66cb6dc102ec6f9f252f2fab23647a18a /eclass/python-r1.eclass
parentAdd myself as maintainer. (diff)
downloadgentoo-2-9d9d8567cfd77bd9efe5309474703a0858dcb705.tar.gz
gentoo-2-9d9d8567cfd77bd9efe5309474703a0858dcb705.tar.bz2
gentoo-2-9d9d8567cfd77bd9efe5309474703a0858dcb705.zip
Throw explicit error if python_gen_usedep does not match any implementation rather than outputting an empty (invalid) USE-dep.
Diffstat (limited to 'eclass/python-r1.eclass')
-rw-r--r--eclass/python-r1.eclass4
1 files changed, 3 insertions, 1 deletions
diff --git a/eclass/python-r1.eclass b/eclass/python-r1.eclass
index 57ae26308a26..2d860f1ab987 100644
--- a/eclass/python-r1.eclass
+++ b/eclass/python-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.68 2014/04/08 16:05:30 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v 1.69 2014/04/09 21:15:38 mgorny Exp $
# @ECLASS: python-r1
# @MAINTAINER:
@@ -290,6 +290,8 @@ python_gen_usedep() {
done
done
+ [[ ${matches[@]} ]] || die "No supported implementations match python_gen_usedep patterns: ${@}"
+
local out=${matches[@]}
echo ${out// /,}
}